package com.ynet.life.sujrb.cacheConfig;

import com.ynet.gene.component.xml.XMLDocumentLoader;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.life.base.Trace;
import java.util.ArrayList;
import java.util.List;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/* loaded from: com_ynet_life_sujrb_cacheConfig.jar:com/ynet/life/sujrb/cacheConfig/CacheContentConfigXMLReader.class */
public class CacheContentConfigXMLReader {
    private static final String XML_TAG_DATA_ELEMENTS = "DataElements";
    private static final String XML_TAG_DATA_ELEMENT = "DataElement";

    public static List readCacheContent(String fileName) {
        List cacheConfigList = new ArrayList();
        try {
            NodeList nodeList = new XMLDocumentLoader().loadXMLDocument(fileName).getDocumentElement().getChildNodes();
            int size = nodeList.getLength();
            for (int i = 0; i < size; i++) {
                Node node = nodeList.item(i);
                if (node.getNodeType() == 1 && XML_TAG_DATA_ELEMENTS.equals(node.getNodeName())) {
                    NodeList childs = node.getChildNodes();
                    for (int j = 0; j < childs.getLength(); j++) {
                        Node childNode = childs.item(j);
                        if (childNode.getNodeType() == 1 && XML_TAG_DATA_ELEMENT.equals(childNode.getNodeName())) {
                            Node idNode = childNode.getAttributes().getNamedItem("id");
                            if (idNode == null) {
                                throw new InvalidArgumentException("attribute id must be set in node field.");
                            }
                            String id = idNode.getNodeValue();
                            cacheConfigList.add(id);
                        }
                    }
                }
            }
        } catch (Exception e) {
            Trace.logError("LifeMsg", "Initialize message configs from " + fileName + " failed.", e);
        }
        return cacheConfigList;
    }
}
